using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;

namespace Basic.DAL
{
    /// <summary>
    /// ݷʲ
    /// </summary>
    public partial class couponuser
    {
        #region ˴ɹ

        /// <summary>
        /// һ
        /// </summary>
        public int Add(Basic.Model.couponuser model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("insert into tb_couponuser(");
            strSql.Append("paixu,couponid,name,couponstatus,add_time)");
            strSql.Append(" values (");
            strSql.Append("@paixu,@couponid,@name,@couponstatus,@add_time)");
            strSql.Append(";select @@IDENTITY");

            SqlParameter[] parameters = { 
                new SqlParameter("@paixu", SqlDbType.Int,10),
                new SqlParameter("@couponid", SqlDbType.Int,10),
                new SqlParameter("@name", SqlDbType.NVarChar,255),
                new SqlParameter("@couponstatus", SqlDbType.Int,10),
                new SqlParameter("@add_time", SqlDbType.DateTime,23)};
            parameters[0].Value = model.paixu;
            parameters[1].Value = model.couponid;
            parameters[2].Value = model.name;
            parameters[3].Value = model.couponstatus;
            parameters[4].Value = model.add_time;

            object obj = DbHelperSQL.GetSingle(strSql.ToString(), parameters);
            if (obj == null)
            {
                return 0;
            }
            else
            {
                return Convert.ToInt32(obj);
            }
        }

        /// <summary>
        /// һ
        /// </summary>
        public bool Update(Basic.Model.couponuser model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update tb_couponuser set ");
            strSql.Append("paixu=@paixu,");
            strSql.Append("couponid=@couponid,");
            strSql.Append("name=@name,");
            strSql.Append("couponstatus=@couponstatus,");
            strSql.Append("add_time=@add_time");
            strSql.Append(" where id=@id");
            SqlParameter[] parameters = { 
                new SqlParameter("@paixu", SqlDbType.Int,10),
                new SqlParameter("@couponid", SqlDbType.Int,10),
                new SqlParameter("@name", SqlDbType.NVarChar,255),
                new SqlParameter("@couponstatus", SqlDbType.Int,10),
                new SqlParameter("@add_time", SqlDbType.DateTime,23),
                new SqlParameter("@id", SqlDbType.Int,4)};
            parameters[0].Value = model.paixu;
            parameters[1].Value = model.couponid;
            parameters[2].Value = model.name;
            parameters[3].Value = model.couponstatus;
            parameters[4].Value = model.add_time;
            parameters[5].Value = model.id;
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        /// <summary>
        /// ɾһ
        /// </summary>
        public bool Delete(int id)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from  tb_couponuser");
            strSql.Append(" where id=@id");
            SqlParameter[] parameters = { 
                new SqlParameter("@id", SqlDbType.Int,4)};
            parameters[0].Value = id;
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        /// <summary>
        /// õһʵ
        /// </summary>
        public Basic.Model.couponuser GetModel(int id)
        {
            StringBuilder strSql=new StringBuilder();
            strSql.Append("select top 1 id,paixu,couponid,name,couponstatus,add_time from tb_couponuser");
            strSql.Append(" where id=@id");
            SqlParameter[] parameters = { 
                new SqlParameter("@id", SqlDbType.Int,4)};
            parameters[0].Value = id;
            Basic.Model.couponuser model = new Basic.Model.couponuser();
            DataSet ds = DbHelperSQL.Query(strSql.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["id"].ToString()))
                {
                    model.id = int.Parse(ds.Tables[0].Rows[0]["id"].ToString());
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["paixu"].ToString()))
                {
                    model.paixu = int.Parse(ds.Tables[0].Rows[0]["paixu"].ToString());
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["couponid"].ToString()))
                {
                    model.couponid = int.Parse(ds.Tables[0].Rows[0]["couponid"].ToString());
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["name"].ToString()))
                {
                    model.name = ds.Tables[0].Rows[0]["name"].ToString();
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["couponstatus"].ToString()))
                {
                    model.couponstatus = int.Parse(ds.Tables[0].Rows[0]["couponstatus"].ToString());
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["add_time"].ToString()))
                {
                    model.add_time = DateTime.Parse(ds.Tables[0].Rows[0]["add_time"].ToString());
                }
                return model;
            }
            else
            {
                return null;
            }
        }

        /// <summary>
        /// ǰ
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select ");
            if (Top > 0)
            {
                strSql.Append(" top " + Top.ToString());
            }
            strSql.Append("id,paixu,couponid,name,couponstatus,add_time");
            strSql.Append(" from tb_couponuser");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            strSql.Append(" order by " + filedOrder);
            return DbHelperSQL.Query(strSql.ToString());
        }

        /// <summary>
        /// òѯҳ
        /// </summary>
        public DataSet GetList(string _strWhere, string _orderby, int _pageSize, int _page, out int recordCount)
        {
            BasicPage bp = new BasicPage();
            StringBuilder str_Sql = new StringBuilder();
            str_Sql.Append("select top " + _pageSize + " id,paixu,couponid,name,couponstatus,add_time from tb_couponuser");
            str_Sql.Append(" where ");
            str_Sql.Append(_strWhere);
            str_Sql.Append(" and id not in ");
            str_Sql.Append(" ( ");
            str_Sql.Append(" select top " + (_page - 1) * _pageSize + " id from tb_couponuser ");
            str_Sql.Append(" where ");
            str_Sql.Append(_strWhere);
            str_Sql.Append(" order by ");
            str_Sql.Append(_orderby);
            str_Sql.Append(" ) ");
            str_Sql.Append(" order by ");
            str_Sql.Append(_orderby);
            DataSet dst = bp.SelectDataBase("tb_couponuser", str_Sql.ToString());
            //
            recordCount = totlePage(showTotal(_strWhere), _pageSize);
            return dst;
        }
        
        //ҳ
        public int totlePage(int Total, int PageSize)
        {
            if (Total % PageSize == 0)
            {
                return Total / PageSize;
            }
            else
            {
                return Total / PageSize + 1;
            }
        }
        
        //
        protected int showTotal(string strSql)
        {
            BasicPage bp = new BasicPage();
            int intTotal = 0;
            SqlDataReader myread = bp.getRead("select count(id) as CountId from tb_couponuser where " + strSql);
            if (myread.Read())
            {
                intTotal = Convert.ToInt32(myread["CountId"].ToString());
            }
            myread.Close();
            return intTotal;
        }

        /// <summary>
        /// Ƿڸü¼
        /// </summary>
        public bool Exists(int id)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select count(1) from tb_couponuser");
            strSql.Append(" where id=@id");
            SqlParameter[] parameters = {
                new SqlParameter("@id", SqlDbType.Int,4)};
            parameters[0].Value = id;

            return DbHelperSQL.Exists(strSql.ToString(), parameters);
        }

        /// <summary>
        /// ޸һ
        /// </summary>
        public void UpdateField(int id, string strValue)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update tb_couponuser set " + strValue);
            strSql.Append(" where id=" + id);
            DbHelperSQL.ExecuteSql(strSql.ToString());
        }

        #endregion
    }
}

