using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;

namespace Basic.DAL
{
    /// <summary>
    /// 
    /// </summary>
    public partial class news
    {
        /// <summary>
        /// һ
        /// </summary>
        public int Add(Basic.Model.news model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("insert into tb_news(");
            strSql.Append("class_id,parent_id,guid,title,url,path,seo_title,seo_keywords,seo_description,content,paixu,hits,status,user_id,add_time)");
            strSql.Append(" values (");
            strSql.Append("@class_id,@parent_id,@guid,@title,@url,@path,@seo_title,@seo_keywords,@seo_description,@content,@paixu,@hits,@status,@user_id,@add_time)");
            strSql.Append(";select @@IDENTITY");

            SqlParameter[] parameters = { 
                new SqlParameter("@class_id", SqlDbType.Int,10),
                new SqlParameter("@parent_id", SqlDbType.Int,10),
                new SqlParameter("@guid", SqlDbType.NVarChar,50),
                new SqlParameter("@title", SqlDbType.NVarChar,100),
                new SqlParameter("@url", SqlDbType.NVarChar,255),
                new SqlParameter("@path", SqlDbType.NVarChar,255),
                new SqlParameter("@seo_title", SqlDbType.NVarChar,255),
                new SqlParameter("@seo_keywords", SqlDbType.NVarChar,255),
                new SqlParameter("@seo_description", SqlDbType.NVarChar,255),
                new SqlParameter("@content", SqlDbType.NText,1073741823),
                new SqlParameter("@paixu", SqlDbType.Int,10),
                new SqlParameter("@hits", SqlDbType.Int,10),
                new SqlParameter("@status", SqlDbType.Int,10),
                new SqlParameter("@user_id", SqlDbType.Int,10),
                new SqlParameter("@add_time", SqlDbType.DateTime,23)};
            parameters[0].Value = model.class_id;
            parameters[1].Value = model.parent_id;
            parameters[2].Value = model.guid;
            parameters[3].Value = model.title;
            parameters[4].Value = model.url;
            parameters[5].Value = model.path;
            parameters[6].Value = model.seo_title;
            parameters[7].Value = model.seo_keywords;
            parameters[8].Value = model.seo_description;
            parameters[9].Value = model.content;
            parameters[10].Value = model.paixu;
            parameters[11].Value = model.hits;
            parameters[12].Value = model.status;
            parameters[13].Value = model.user_id;
            parameters[14].Value = model.add_time;

            object obj = DbHelperSQL.GetSingle(strSql.ToString(), parameters);
            if (obj == null)
            {
                return 0;
            }
            else
            {
                return Convert.ToInt32(obj);
            }
        }

        /// <summary>
        /// һ
        /// </summary>
        public bool Update(Basic.Model.news model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update tb_news set ");
            strSql.Append("class_id=@class_id,");
            strSql.Append("parent_id=@parent_id,");
            strSql.Append("guid=@guid,");
            strSql.Append("title=@title,");
            strSql.Append("url=@url,");
            strSql.Append("path=@path,");
            strSql.Append("seo_title=@seo_title,");
            strSql.Append("seo_keywords=@seo_keywords,");
            strSql.Append("seo_description=@seo_description,");
            strSql.Append("content=@content,");
            strSql.Append("paixu=@paixu,");
            strSql.Append("hits=@hits,");
            strSql.Append("status=@status,");
            strSql.Append("user_id=@user_id,");
            strSql.Append("add_time=@add_time");
            strSql.Append(" where id=@id");
            SqlParameter[] parameters = { 
                new SqlParameter("@class_id", SqlDbType.Int,10),
                new SqlParameter("@parent_id", SqlDbType.Int,10),
                new SqlParameter("@guid", SqlDbType.NVarChar,50),
                new SqlParameter("@title", SqlDbType.NVarChar,100),
                new SqlParameter("@url", SqlDbType.NVarChar,255),
                new SqlParameter("@path", SqlDbType.NVarChar,255),
                new SqlParameter("@seo_title", SqlDbType.NVarChar,255),
                new SqlParameter("@seo_keywords", SqlDbType.NVarChar,255),
                new SqlParameter("@seo_description", SqlDbType.NVarChar,255),
                new SqlParameter("@content", SqlDbType.NText,1073741823),
                new SqlParameter("@paixu", SqlDbType.Int,10),
                new SqlParameter("@hits", SqlDbType.Int,10),
                new SqlParameter("@status", SqlDbType.Int,10),
                new SqlParameter("@user_id", SqlDbType.Int,10),
                new SqlParameter("@add_time", SqlDbType.DateTime,23),
                new SqlParameter("@id", SqlDbType.Int,4)};
            parameters[0].Value = model.class_id;
            parameters[1].Value = model.parent_id;
            parameters[2].Value = model.guid;
            parameters[3].Value = model.title;
            parameters[4].Value = model.url;
            parameters[5].Value = model.path;
            parameters[6].Value = model.seo_title;
            parameters[7].Value = model.seo_keywords;
            parameters[8].Value = model.seo_description;
            parameters[9].Value = model.content;
            parameters[10].Value = model.paixu;
            parameters[11].Value = model.hits;
            parameters[12].Value = model.status;
            parameters[13].Value = model.user_id;
            parameters[14].Value = model.add_time;
            parameters[15].Value = model.id;
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        /// <summary>
        /// ɾһ
        /// </summary>
        public bool Delete(int id)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from tb_news");
            strSql.Append(" where id=@id");
            SqlParameter[] parameters = { 
                new SqlParameter("@id", SqlDbType.Int,4)};
            parameters[0].Value = id;
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        /// <summary>
        /// õһʵ
        /// </summary>
        public Basic.Model.news GetModel(int id)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select top 1 id,class_id,parent_id,guid,title,url,path,seo_title,seo_keywords,seo_description,content,paixu,hits,status,user_id,add_time from tb_news");
            strSql.Append(" where id=@id");
            SqlParameter[] parameters = { 
                new SqlParameter("@id", SqlDbType.Int,4)};
            parameters[0].Value = id;
            Basic.Model.news model = new Basic.Model.news();
            DataSet ds = DbHelperSQL.Query(strSql.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["id"].ToString()))
                {
                    model.id = int.Parse(ds.Tables[0].Rows[0]["id"].ToString());
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["class_id"].ToString()))
                {
                    model.class_id = int.Parse(ds.Tables[0].Rows[0]["class_id"].ToString());
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["parent_id"].ToString()))
                {
                    model.parent_id = int.Parse(ds.Tables[0].Rows[0]["parent_id"].ToString());
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["guid"].ToString()))
                {
                    model.guid = ds.Tables[0].Rows[0]["guid"].ToString();
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["title"].ToString()))
                {
                    model.title = ds.Tables[0].Rows[0]["title"].ToString();
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["url"].ToString()))
                {
                    model.url = ds.Tables[0].Rows[0]["url"].ToString();
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["path"].ToString()))
                {
                    model.path = ds.Tables[0].Rows[0]["path"].ToString();
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["seo_title"].ToString()))
                {
                    model.seo_title = ds.Tables[0].Rows[0]["seo_title"].ToString();
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["seo_keywords"].ToString()))
                {
                    model.seo_keywords = ds.Tables[0].Rows[0]["seo_keywords"].ToString();
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["seo_description"].ToString()))
                {
                    model.seo_description = ds.Tables[0].Rows[0]["seo_description"].ToString();
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["content"].ToString()))
                {
                    model.content = ds.Tables[0].Rows[0]["content"].ToString();
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["paixu"].ToString()))
                {
                    model.paixu = int.Parse(ds.Tables[0].Rows[0]["paixu"].ToString());
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["hits"].ToString()))
                {
                    model.hits = int.Parse(ds.Tables[0].Rows[0]["hits"].ToString());
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["status"].ToString()))
                {
                    model.status = int.Parse(ds.Tables[0].Rows[0]["status"].ToString());
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["user_id"].ToString()))
                {
                    model.user_id = int.Parse(ds.Tables[0].Rows[0]["user_id"].ToString());
                }
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["add_time"].ToString()))
                {
                    model.add_time = DateTime.Parse(ds.Tables[0].Rows[0]["add_time"].ToString());
                }
                return model;
            }
            else
            {
                return null;
            }
        }
        /// <summary>
        /// òѯҳ
        /// </summary>
        public DataSet GetList(string _strWhere, string _orderby, int _pageSize, int _page, out int recordCount)
        {
            BasicPage bp = new BasicPage();
            StringBuilder str_Sql = new StringBuilder();
            str_Sql.Append("select top " + _pageSize + " * from tb_news");
            str_Sql.Append(" where ");
            str_Sql.Append(_strWhere);
            str_Sql.Append(" and id not in ");
            str_Sql.Append(" ( ");
            str_Sql.Append(" select top " + (_page - 1) * _pageSize + " id from tb_news ");
            str_Sql.Append(" where ");
            str_Sql.Append(_strWhere);
            str_Sql.Append(" order by ");
            str_Sql.Append(_orderby);
            str_Sql.Append(" ) ");
            str_Sql.Append(" order by ");
            str_Sql.Append(_orderby);
            DataSet dst = bp.SelectDataBase("tb_news", str_Sql.ToString());
            //
            recordCount = totlePage(showTotal(_strWhere), _pageSize);
            return dst;
        }

        //ҳ
        public int totlePage(int Total, int PageSize)
        {
            if (Total % PageSize == 0)
            {
                return Total / PageSize;
            }
            else
            {
                return Total / PageSize + 1;
            }
        }

        //
        protected int showTotal(string strSql)
        {
            BasicPage bp = new BasicPage();
            int intTotal = 0;
            SqlDataReader myread = bp.getRead("select count(id) as CountId from tb_news where " + strSql);
            if (myread.Read())
            {
                intTotal = Convert.ToInt32(myread["CountId"].ToString());
            }
            myread.Close();
            return intTotal;
        }
        /// <summary>
        /// ޸һ
        /// </summary>
        public void UpdateField(int id, string strValue)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update tb_news set " + strValue);
            strSql.Append(" where id=" + id);
            DbHelperSQL.ExecuteSql(strSql.ToString());
        }
    }
}

